CC = g++
CFLAGS = -O2 -I../driver
LFLAGS = -L../driver -lbrickpi

EXE = test
SRCS = $(wildcard *.cpp)
OBJS = $(SRCS:.cpp=.o)

$(EXE): $(OBJS) ../driver/libbrickpi.a
	$(CC) $(OBJS) -o $(EXE) $(LFLAGS)

-include $(OBJS:.o=.d)

%.o: %.cpp
	$(CC) -c $(CFLAGS) $*.cpp -o $*.o
	$(CC) -MM $(CFLAGS) $*.cpp > $*.d

clean:
	rm -rf $(EXE) *.o *.d test
